let job_sitespeed = {
	name: 'sitespeed',
	returnFunction: function(data, container){
		if(!data.result.success){
			$(container).hide();
			error_msg.show(data.result.message);
		}else{
			$(container).html(data.result.template);
		}
	},
    returnFunctionNode: function(data){

	    if(typeof data.result != 'undefined' && typeof data.result.result != 'undefined' && typeof data.result.result.browsertime != 'undefined'){
            let array_to_parse = data.result.result.browsertime.log.entries;
            let ret = [];

            array_to_parse.sort(function (a, b) {
                return a.startedDateTime - b.startedDateTime;
            });

            array_to_parse = array_to_parse.reverse();

            for(let i = 0; i < array_to_parse.length; i++){

                let x = i * 10;

                let blocked = {
                    from: 0,
                    to: parseInt(array_to_parse[i].timings.blocked)
                };
                let dns = {
                    from: blocked.to,
                    to: (array_to_parse[i].timings.dns != -1) ? blocked.to + array_to_parse[i].timings.dns : blocked.to
                };
                let connect = {
                    from: dns.to,
                    to: (array_to_parse[i].timings.connect != -1) ? dns.to + array_to_parse[i].timings.connect : dns.to
                };
                let send = {
                    from: connect.to,
                    to: (array_to_parse[i].timings.send != -1) ? connect.to + array_to_parse[i].timings.send: connect.to
                };
                let wait = {
                    from: send.to,
                    to: (array_to_parse[i].timings.wait != -1) ? send.to + array_to_parse[i].timings.wait: send.to
                };
                let receive = {
                    from: wait.to,
                    to: (array_to_parse[i].timings.receive != -1) ? wait.to + array_to_parse[i].timings.receive: wait.to
                };

                ret.push({ x: x, y:[blocked.from,blocked.to], label: "Blocked", color: 'red', sum: array_to_parse[i].timings.blocked + 'ms' });
                ret.push({ x: x, y:[dns.from,dns.to], label: "Dns", color: 'green', sum: array_to_parse[i].timings.dns + 'ms' });
                ret.push({ x: x, y:[connect.from,connect.to], label: "Connect", color: 'yellow', sum: array_to_parse[i].timings.connect + 'ms' });
                ret.push({ x: x, y:[send.from,send.to], label: "Send", color: 'blue', sum: array_to_parse[i].timings.send + 'ms' });
                ret.push({ x: x, y:[wait.from,wait.to], label: "Wait", color: 'orange', sum: array_to_parse[i].timings.wait + 'ms' });
                ret.push({ x: x, y:[receive.from,receive.to], label: "Receive", color: 'purple', sum: array_to_parse[i].timings.receive + 'ms' });
                ret.push({ x: x, y:[0,0], label: array_to_parse[i].request.url });
            }

            data.result.result.browsertime.json = JSON.stringify(ret);
        }

	    return data;
    }
};

if(typeof window != 'undefined'){
    window.job_sitespeed = job_sitespeed;
}

if(typeof module != 'undefined'){
    module.exports = job_sitespeed;
}
